Index: src/apps/tv/MainWin.cpp
===================================================================
--- src/apps/tv/MainWin.cpp	(revision 40664)
+++ src/apps/tv/MainWin.cpp	(working copy)
@@ -22,17 +22,18 @@
  * OTHER DEALINGS IN THE SOFTWARE.
  */
 
-#include "MainWin.h"
-#include "MainApp.h"
 #include "Controller.h"
-#include "config.h"
 #include "DeviceRoster.h"
+#include "MainApp.h"
+#include "MainWin.h"
 
 #include <stdio.h>
 #include <string.h>
 
-#include <Application.h>
 #include <Alert.h>
+#include <Application.h>
+#include <Catalog.h>
+#include <Font.h>
 #include <Menu.h>
 #include <MenuBar.h>
 #include <MenuItem.h>
@@ -40,15 +41,13 @@
 #include <PopUpMenu.h>
 #include <Screen.h>
 #include <String.h>
+#include <TextView.h>
 #include <View.h>
 
 
 #undef B_TRANSLATE_CONTEXT
 #define B_TRANSLATE_CONTEXT "MainWin"
 
-static const char* fLocalizedName = B_TRANSLATE_MARK("TV");
-static const char* fLocalizedRevision = B_TRANSLATE_MARK("unknown");
-static const char* fLocalizedInfo1 = B_TRANSLATE_MARK("DVB - Digital Video Broadcasting TV");
 
 enum
 {
@@ -85,7 +84,7 @@
 
 
 MainWin::MainWin(BRect frame_rect)
- :	BWindow(frame_rect, NAME, B_TITLED_WINDOW, 
+ :	BWindow(frame_rect, B_TRANSLATE("TV"), B_TITLED_WINDOW, 
  	B_ASYNCHRONOUS_CONTROLS /* | B_WILL_ACCEPT_FIRST_CLICK */)
  ,	fController(new Controller)
  ,	fIsFullscreen(false)
@@ -162,7 +161,7 @@
 void
 MainWin::CreateMenu()
 {
-	fFileMenu = new BMenu(NAME);
+	fFileMenu = new BMenu(B_TRANSLATE("TV"));
 	fChannelMenu = new BMenu(B_TRANSLATE("Channel"));
 	fInterfaceMenu = new BMenu(B_TRANSLATE("Interface"));
 	fSettingsMenu = new BMenu(B_TRANSLATE("Settings"));
@@ -174,10 +173,7 @@
 	fMenuBar->AddItem(fSettingsMenu);
 	fMenuBar->AddItem(fDebugMenu);
 
-	BString aboutStr = B_TRANSLATE_COMMENT("About %1"B_UTF8_ELLIPSIS, 
-		"Parameter %1 is the name of the application.");
-	aboutStr.ReplaceFirst("%1", fLocalizedName);
-	fFileMenu->AddItem(new BMenuItem(aboutStr.String(), 
+	fFileMenu->AddItem(new BMenuItem(B_TRANSLATE("About TV"B_UTF8_ELLIPSIS), 
 		new BMessage(M_FILE_ABOUT)));
 	fFileMenu->AddSeparatorItem();
 	fFileMenu->AddItem(new BMenuItem(B_TRANSLATE("Quit"), 
@@ -565,10 +561,7 @@
 		new BMessage(M_TOGGLE_KEEP_ASPECT_RATIO), 'K', B_COMMAND_KEY));
 	item->SetMarked(fKeepAspectRatio);
 	menu->AddSeparatorItem();
-	BString aboutStr = B_TRANSLATE_COMMENT("About %1"B_UTF8_ELLIPSIS, 
-		"Parameter %1 is the name of the application.");
-	aboutStr.ReplaceFirst("%1", fLocalizedName);
-	menu->AddItem(new BMenuItem(aboutStr.String(), 
+	menu->AddItem(new BMenuItem(B_TRANSLATE("About TV"B_UTF8_ELLIPSIS), 
 		new BMessage(M_FILE_ABOUT)));
 	menu->AddSeparatorItem();
 	menu->AddItem(new BMenuItem(B_TRANSLATE("Quit"), 
@@ -704,7 +697,7 @@
 MainWin::UpdateWindowTitle()
 {
 	char buf[100];
-	sprintf(buf, "%s - %d x %d, %.3f:%.3f => %.0f x %.0f", NAME, fSourceWidth, 
+	sprintf(buf, "%s - %d x %d, %.3f:%.3f => %.0f x %.0f", B_TRANSLATE("TV"), fSourceWidth, 
 		fSourceHeight, fWidthScale, fHeightScale, 
 		fVideoView->Bounds().Width() + 1, fVideoView->Bounds().Height() + 1);
 	SetTitle(buf);
@@ -1228,37 +1221,28 @@
 			break;
 
 		case M_FILE_ABOUT:
-			{
-				BString alertStr = fLocalizedName;
-				alertStr << "\n\n";
-				alertStr << fLocalizedInfo1;
-				#if TIME_BOMB_ACTIVE
-					alertStr << "\n\n";
-					alertStr << INFO2;
-				#endif
-				alertStr << "\n\nCopyright ";
-				alertStr << COPYRIGHT;
-				alertStr << B_TRANSLATE("\nVersion ");
-				alertStr << VERSION;
-				alertStr << B_TRANSLATE("\nRevision ");
-				if (strcmp(REVISION, "unknown") == 0)
-					alertStr << fLocalizedRevision;
-				else
-					alertStr << REVISION;
-				alertStr << B_TRANSLATE("\nBuild ");
-				alertStr << BUILD;
+		{
+			BString appName = B_TRANSLATE("TV");
+			int nameLength = appName.CountChars();
+			BAlert* alert = new BAlert(B_TRANSLATE("About"),
+				appName.Append(B_TRANSLATE("\n\nDVB - Digital Video "
+					"Broadcasting TV\n\nwritten by Marcus Overhagen\n"
+					"Copyright 2005-2007\n")),
+				B_TRANSLATE("OK"));
+			BTextView* view = alert->TextView();
+			BFont font;
+		
+			view->SetStylable(true);
+		
+			view->GetFont(&font);
+			font.SetSize(18);
+			font.SetFace(B_BOLD_FACE);
+			view->SetFontAndColor(0, nameLength, &font);
+		
+			alert->Go();
 			
-				BAlert *alert;
-				alert = new BAlert("about", alertStr.String(), B_TRANSLATE("OK"));
-				if (fAlwaysOnTop) {
-					ToggleAlwaysOnTop();
-					alert->Go();
-					ToggleAlwaysOnTop();
-				} else
-					alert->Go();
-			}
 			break;
-
+		}
 		case M_FILE_QUIT:
 //			be_app->PostMessage(B_QUIT_REQUESTED);
 			PostMessage(B_QUIT_REQUESTED);
Index: src/apps/tv/config.h
===================================================================
--- src/apps/tv/config.h	(revision 40664)
+++ src/apps/tv/config.h	(working copy)
@@ -28,12 +28,5 @@
 #include <InterfaceDefs.h>
 #include <time.h>
 
-#define NAME		"TV"
-#define REVISION	"unknown"
-#define VERSION		"1.1"
-#define BUILD 		__DATE__ " "__TIME__
-#define COPYRIGHT 	B_UTF8_COPYRIGHT" Marcus Overhagen 2005-2007"
-#define INFO1 		"DVB - Digital Video Broadcasting TV"
-#define APP_SIG		"application/x-vnd.Haiku."NAME
 
 #endif
Index: src/apps/tv/MainApp.cpp
===================================================================
--- src/apps/tv/MainApp.cpp	(revision 40664)
+++ src/apps/tv/MainApp.cpp	(working copy)
@@ -22,15 +22,17 @@
  * OTHER DEALINGS IN THE SOFTWARE.
  */
 
-#include <Path.h>
 #include <Entry.h>
 #include <Alert.h>
-#include <unistd.h>
+#include <InterfaceDefs.h>
+#include <Path.h>
+
 #include <stdio.h>
 #include <time.h>
+#include <unistd.h>
 
 #include "MainApp.h"
-#include "config.h"
+// #include "config.h"
 #include "DeviceRoster.h"
 
 #undef B_TRANSLATE_CONTEXT
@@ -43,7 +45,7 @@
 
 MainApp::MainApp()
  :
- BApplication(APP_SIG)
+ BApplication("application/x-vnd.Haiku.TV")
 {
 	InitPrefs();
 	